summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMenno E. Duursma <druiloor@zonnet.nl>2010-05-11 14:56:16 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 14:56:16 +0200
commite76ba428a2cf2abb8b3c03c522146beeb536b1c1 (patch)
tree7c6f1cdf87771f9f8bd87684da1bf2504ed55c3f
parent39705f65a6a657639b43c36c9f29087722cce40f (diff)
downloadslackbuilds-e76ba428a2cf2abb8b3c03c522146beeb536b1c1.tar.gz
libraries/libcap: Initial import
-rw-r--r--libraries/libcap/README13
-rw-r--r--libraries/libcap/doinst.sh15
-rw-r--r--libraries/libcap/libcap.SlackBuild70
-rw-r--r--libraries/libcap/libcap.info8
-rw-r--r--libraries/libcap/slack-desc12
5 files changed, 118 insertions, 0 deletions
diff --git a/libraries/libcap/README b/libraries/libcap/README
new file mode 100644
index 0000000000..48b8ac021f
--- /dev/null
+++ b/libraries/libcap/README
@@ -0,0 +1,13 @@
+libcap is a library for getting and setting POSIX.1e (formerly POSIX 6) draft 15 capabilities.
+
+More information (POSIX 1e and 2c drafts):
+http://wt.xpilot.org/publications/posix.1e/download.html
+
+Usage tutorial (Olaf Kirch: Using Capabilities - 2002):
+http://www.lst.de/~okir/blackhats/node125.html
+
+Linux Capabilities FAQ 0.2 (by Boris Tobotras - 1999):
+ ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.2/capfaq-0.2.txt
+
+If you uninstall this package, you will need to manually remove the
+/usr/include/sys/capability.h header.
diff --git a/libraries/libcap/doinst.sh b/libraries/libcap/doinst.sh
new file mode 100644
index 0000000000..c129647617
--- /dev/null
+++ b/libraries/libcap/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config usr/include/sys/capability.h.new
+
diff --git a/libraries/libcap/libcap.SlackBuild b/libraries/libcap/libcap.SlackBuild
new file mode 100644
index 0000000000..40ece77170
--- /dev/null
+++ b/libraries/libcap/libcap.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for libcap
+# Written by Menno Duursma
+# Modified by the SlackBuilds.org project
+
+PRGNAM=libcap
+VERSION=1.10
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+# Bail out if we have a problem
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . -type d | xargs chmod 0755
+find . -type f | xargs chmod go-w
+
+CFLAGS="$SLKCFLAGS" make || exit 1
+make install FAKEROOT=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ -d $PKG/usr/man ]; then
+ gzip -9 $PKG/usr/man/man?/*
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README CHANGELOG License pgp.keys.asc doc/capability.notes \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Dont overwrite the header, as it may have been edited by the user; instead,
+# leave the new copy for the admin to consider
+mv $PKG/usr/include/sys/capability.h $PKG/usr/include/sys/capability.h.new
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+# Clean up the extra stuff:
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/$PRGNAM-$VERSION
+ rm -rf $PKG
+fi
+
diff --git a/libraries/libcap/libcap.info b/libraries/libcap/libcap.info
new file mode 100644
index 0000000000..6cfcd7aeb2
--- /dev/null
+++ b/libraries/libcap/libcap.info
@@ -0,0 +1,8 @@
+PRGNAM="libcap"
+VERSION="1.10"
+HOMEPAGE="http://sourceforge.net/projects/linux-privs/"
+DOWNLOAD="ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.2/libcap-1.10.tar.gz"
+MD5SUM="2c09eea823f67cfdde96177a959bc39b"
+MAINTAINER="Menno E. Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="robw810"
diff --git a/libraries/libcap/slack-desc b/libraries/libcap/slack-desc
new file mode 100644
index 0000000000..9e01ff3963
--- /dev/null
+++ b/libraries/libcap/slack-desc
@@ -0,0 +1,12 @@
+libcap: libcap
+libcap:
+libcap: This is a library for getting and setting POSIX.1e (formerly POSIX 6)
+libcap: draft 15 capabilities.
+libcap:
+libcap: Libcap was written by Andrew G. Morton; however, it would not
+libcap: have been possible without the help of Aleph1, Roland Buresund,
+libcap: Andrew Main, and Alexander Kjeldaas.
+libcap:
+libcap: More information on capabilities in the Linux kernel can be found at
+libcap: http://www.kernel.org/pub/linux/libs/security/linux-privs/
+libcap: